Skip to main content
GET
/
v2
/
access
/
vault
/
lists
/
:listId
/
media
List media in vault list
curl --request GET \
  --url https://api.ofauth.com/v2/access/vault/lists/:listId/media \
  --header 'apiKey: <api-key>' \
  --header 'x-connection-id: <api-key>'
{
  "list": [
    {
      "id": 123,
      "convertedToVideo": true,
      "canView": true,
      "hasError": true,
      "createdAt": "<string>",
      "isReady": true,
      "releaseForms": [
        {
          "id": 123,
          "name": "<string>",
          "partnerSource": "<string>",
          "type": "<string>",
          "user": {
            "view": "<string>",
            "id": 123,
            "name": "<string>",
            "username": "<string>",
            "isVerified": true,
            "avatar": "<string>",
            "avatarThumbs": {
              "c50": "<string>",
              "c144": "<string>"
            },
            "ivStatus": "<string>",
            "isFromGuest": true
          }
        }
      ],
      "counters": {
        "likesCount": 123,
        "tipsSumm": 123
      },
      "lists": [
        {
          "id": 123,
          "type": "<string>",
          "name": "<string>"
        }
      ],
      "duration": 123,
      "hasCustomPreview": true,
      "videoSources": {
        "240": "<string>",
        "720": "<string>"
      },
      "files": {
        "full": {
          "url": "<string>",
          "sources": [
            {
              "url": "<string>",
              "width": 123,
              "height": 123,
              "type": "<string>"
            }
          ],
          "width": 123,
          "height": 123,
          "size": 123
        },
        "thumb": {
          "url": "<string>",
          "width": 123,
          "height": 123,
          "size": 123
        },
        "preview": {
          "url": "<string>",
          "options": [
            {
              "url": "<string>",
              "width": 123,
              "height": 123,
              "type": "<string>"
            }
          ],
          "width": 123,
          "height": 123,
          "size": 123
        },
        "squarePreview": {
          "url": "<string>",
          "width": 123,
          "height": 123,
          "size": 123
        }
      },
      "hasPosts": true
    }
  ],
  "hasMore": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apiKey
string
header
required

Your OFAuth API key for authenticating requests.

x-connection-id
string
header
required

Requires a connection via the x-connection-id header.

Path Parameters

listId
number | null

Query Parameters

limit
integer
default:24

Number of items to return (1-40, default: 24)

Required range: 1 <= x <= 40
offset
integer | null
default:0

Number of items to skip (default: 0)

Required range: x >= 0
sort
enum<string>
default:recent

Sort media by recent, oldest, most liked, or highest tips

Available options:
recent,
oldest,
most_liked,
highest_tips
query
string

Search/filter text

Maximum string length: 100
type
enum<string>

Filter by media type

Available options:
photo,
video,
audio,
gif

Response

Successful response

list
object[]
required
hasMore
boolean
required